package com.sa.ibiz.demo.demo.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.sa.ibiz.demo.demo.domain.PVPart;
import com.sa.ibiz.demo.demo.service.dto.PVPartSearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;
public interface PVPartMapper extends BaseMapper<PVPart>{
    @CacheEvict( value="entity",key = "'PVPart:'+#p0.pvpartid")
    void updateOne(@Param("pvpart") PVPart pvpart);
    List<PVPart> searchCurPV(@Param("srf") PVPartSearchFilter searchfilter,@Param("ew") Wrapper<PVPart> wrapper) ;
    Page<PVPart> searchCurPV(IPage page, @Param("srf") PVPartSearchFilter searchfilter, @Param("ew") Wrapper<PVPart> wrapper) ;
    List<PVPart> searchDefault(@Param("srf") PVPartSearchFilter searchfilter,@Param("ew") Wrapper<PVPart> wrapper) ;
    Page<PVPart> searchDefault(IPage page, @Param("srf") PVPartSearchFilter searchfilter, @Param("ew") Wrapper<PVPart> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'PVPart:'+#p0")
    PVPart selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'PVPart:'+#p0.pvpartid")
    int updateById(@Param(Constants.ENTITY) PVPart entity);
    @Override
    @CacheEvict( value="entity",key = "'PVPart:'+#p0.pvpartid")
    int insert(PVPart entity);
    @Override
    @CacheEvict( value="entity",key = "'PVPart:'+#p0")
    int deleteById(Serializable id);
}